import java.awt.Color;
import java.lang.Math;

public class Tungsten extends AlgMine
{
    public Tungsten()
    {
	mining = new Mining(this);
    }
    
    protected int oddOneOut(Color[] colors)
    {
	double threshold = 64.0;
	int i, j, hue, tmpHue;
	int pairIndex=-1;

	for(i=0;i<colors.length;i++) {
		hue = convert(colors[i]);
		System.out.printf("ex=%d=%d\n",i,hue);
		pairIndex = -1;
		for(j=0;j<colors.length;j++) {
			if(i!=j) {
				tmpHue = convert(colors[j]);
				System.out.printf("%d=%d\n",j,tmpHue);
				if(java.lang.Math.abs(hue-tmpHue)<threshold) {
					// found pairing node
					pairIndex=j;
					break;
				}
			}
		}
		if(pairIndex==-1) {
			System.out.printf("ooo=%d",i);
			return i;
		}
	}
	
		System.out.println("");
		System.out.println("");
		return i;
	}

    protected int convert(Color color)
    {
	float[] hsv = new float[3];
	Color.RGBtoHSB(color.getRed(), color.getGreen(), color.getBlue(), hsv);
	return Math.round(hsv[0]*1000);
    }
}